Get Authorization code

Directs the user to this endpoint to begin the authorization process. The client must send the response_type, client_id, redirect_uri, and optionally the scope parameter.

📘

Note

This URL is intended to redirect users from you application to the browser, where users can log in using their Candis account.

The client application begins by redirecting the resource owner (user) to the Candis Authorization Server for authentication. The redirect URL must include the necessary parameters, such as the client ID, requested scope, and the redirect_uri where the authorization server will send the user after authentication.

Please refer to our "How to Authenticate" section for a detailed explanation of this endpoint.

Query Params
string
enum
required

Specifies the type of response expected by the client.

Allowed:
string
required

The client identifier as registered in the OAuth provider's system.

string
required

The URI to which the response will be sent after authorization.

string
enum

A space-delimited list of scopes that the application is requesting access to.

exports: Export postings from the organization
core_data: Access to the organization's core data.
offline_access: This scope value requests that when a Refresh Token be issued, offline access should also be enabled too. This in turn would grant a longer life span to the refresh token.

Allowed:
Response
302

Redirection to the specified redirect_uri with a code.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!